Name:           photo
Version:        0.6
Release:        %mkrel 2
Summary:        A fast image viewer
License:        GPLv3
Group:          Graphics
Url:            http://qt-apps.org/content/show.php/Photo?content=147453

Source0:        http://qt-apps.org/CONTENT/content-files/147453-%{name}-%{version}.tar.gz

BuildRequires:  kdelibs4-devel
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(exiv2)

Requires:       qt4-common
Requires:	qt4-database-plugin-sqlite


%description
A fast, simple, good looking, yet powerfull and highly configureable image viewer.

%prep
%setup -q

%build
%qmake_qt4
%make

%install
mkdir -p %{buildroot}%{_bindir}
install -D -m 755 %name \
       %{buildroot}%{_bindir}/%name

mkdir -p %{buildroot}%{_iconsdir}
install -D -m 644 img/logo.png \
       %{buildroot}%{_iconsdir}/photo.png

# Create menu entry
mkdir -p %{buildroot}%{_datadir}/applications/

cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop <<EOF
[Desktop Entry]
Name=Photo
GenericName=Image viewer
Comment=Image viewer
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Graphics;KDE;
MimeType=inode/directory;image/gif;image/jpeg;image/png;image/bmp;image/x-eps;image/x-ico;image/x-portable-bitmap;image/x-portable-pixmap;image/x-xbitmap;image/x-xpixmap;

EOF


mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}

convert -scale 16x16 img/logo.png %{buildroot}%{_miconsdir}/%{name}.png
convert -scale 48x48 img/logo.png %{buildroot}%{_liconsdir}/%{name}.png


%files
%doc CHANGELOG INSTALL README
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog

* Wed Feb 15 2012 obgr_seneca <obgr_seneca> 0.6-2.mga2
+ Revision: 209240
- added missing require qt4-database-plugin-sqlite (bug #4520)

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 0.6-1.mga2
+ Revision: 208620
- removed versioning from qt-common requires, there's no older version in Mageia

  + dglent <dglent>
    - New version 0.6
    - Support for animated images
    - Centered thumbnail view
    - Exif information (using exiv2 library)
    - Extended/Changed Thumbnail caching
    - New About widget
    - Logo (Thanks to Archie Arevalo)
    - New thumbnail hover effect
    - Possibility to hide labels in main display area
    - Adjusted and extended settings widget
    - many smaller code improvements

* Sun Jan 29 2012 obgr_seneca <obgr_seneca> 0.5-1.mga2
+ Revision: 202978
- imported package photo


* Sun Jan 29 2012 Oliver Burger <obgr_seneca@mageia.org> 0.5-1.mga2
- initial build for Mageia
- spec file by Dimitrios Glentadakis
